package net.t2code.t2codelib.VELOCITY.api.messages;

import com.velocitypowered.api.command.CommandSource;
import com.velocitypowered.api.plugin.PluginContainer;
import net.t2code.t2codelib.T2CupdateWebData;
import net.t2code.t2codelib.VELOCITY.api.update.T2CVupdateAPI;

import java.util.Optional;

public class T2CBtemplate {


    public static Long onLoadHeader(String prefix, String autor, String version, String spigot, String discord) {
        Long long_ = Long.valueOf(System.currentTimeMillis());
        T2CVsend.console(prefix + "§4============================= " + prefix + " §4=============================");
        T2CVsend.console(prefix + " §2Autor: §6" + autor.replace("[", "").replace("]", ""));
        T2CVsend.console(prefix + " §2Version: §6" + version);
        T2CVsend.console(prefix + " §2Spigot: §6" + spigot);
        T2CVsend.console(prefix + " §2Discord: §6" + discord);
        T2CVsend.console(prefix + " §8-------------------------------");
        return long_;
    }

    public static void onLoadSeparateStroke(String prefix) {
        T2CVsend.console(prefix + " §8-------------------------------");
    }

    public static void onLoadFooter(String prefix, Long long_) {
        T2CVsend.console(prefix + " §8-------------------------------");
        T2CVsend.console(prefix + " §2Plugin loaded successfully." + " §7- §e" + (System.currentTimeMillis() - long_.longValue()) + "ms");
        T2CVsend.console(prefix + "§4============================= " + prefix + " §4=============================");
    }

    public static void onDisable(String prefix, String autor, String version, String spigot, String discord) {
        T2CVsend.console(prefix + "§4============================= " + prefix + " §4=============================");
        T2CVsend.console(prefix + " §2Autor: §6" + autor.replace("[", "").replace("]", ""));
        T2CVsend.console(prefix + " §2Version: §6" + version);
        T2CVsend.console(prefix + " §2Spigot: §6" + spigot);
        T2CVsend.console(prefix + " §2Discord: §6" + discord);
        T2CVsend.console(prefix + " §4Plugin successfully disabled.");
        T2CVsend.console(prefix + "§4============================= " + prefix + " §4=============================");
    }

    public static void sendInfo(CommandSource sender, PluginContainer plugin, String prefix, String spigot, String discord, String autor) {
        T2CupdateWebData webData = T2CVupdateAPI.bungeePluginVersins.get(plugin.getDescription().getName()).webData;
        String pluginVersion = String.valueOf(plugin.getDescription().getVersion());
        T2CVsend.sender(sender, prefix + "§4======= " + prefix + " §4=======");
        T2CVsend.sender(sender, prefix + " §2Autor: §6" + autor);
        if (webData.getVersion().equalsIgnoreCase(pluginVersion)) {
            T2CVsend.sender(sender, prefix + " §2Version: §6" + pluginVersion);
        } else {
            T2CVupdateAPI.sendUpdateMsg(prefix, discord, webData, Optional.of(plugin), sender);
        }
        T2CVsend.sender(sender, prefix + " §2Spigot: §6" + spigot);
        T2CVsend.sender(sender, prefix + " §2Discord: §6" + discord);
        T2CVsend.sender(sender, prefix + "§4======= " + prefix + " §4=======");
    }
}
